import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class ActionDemo implements Runnable{

  public static void main(String[] args) {
        SwingUtilities.invokeLater(new ActionDemo());
  }
  class MyAction extends AbstractAction {
      public MyAction(String s){super(s);}
      public void actionPerformed(ActionEvent e) {
          System.out.println("MyAction for " + e.getSource());
          //System.out.println("I did it!");
      }
    }
  public void run() {
      JFrame frame = new JFrame("ActionDemo");
      frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

      MyAction myAction = new MyAction("Do it!");
      JButton button = new JButton(myAction);

      JMenuBar menuBar = new JMenuBar();
      JMenu menu = new JMenu("Menu");
      JMenuItem menuItem = new JMenuItem(myAction);
      menu.add(menuItem);
      menuBar.add(menu);

      frame.add(button, BorderLayout.SOUTH);
      frame.add(menuBar, BorderLayout.NORTH);
      frame.setPreferredSize(new Dimension (250,200));
      frame.pack();
      frame.setVisible(true);
    }
}
