import java.awt.Color;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.BasicStroke;
import java.awt.geom.Ellipse2D;
import javax.swing.JPanel;

public class OlympicRingComponent extends JPanel{

    //A wider pen stroke for drawing the rings. 
    final static BasicStroke wideStroke = new BasicStroke(5.0f);

    public void paintComponent(Graphics g0){
        Graphics2D g = (Graphics2D) g0;
        //Draw with a wider pen.
        g.setStroke(wideStroke);

        int diam = 50;

        Ellipse2D.Double ring1 = new Ellipse2D.Double(50,50,diam,diam);
        g.setColor(Color.BLUE);
        g.draw(ring1);

       Ellipse2D.Double ring2 = new Ellipse2D.Double(105,50,diam,diam);
        g.setColor(Color.BLACK);
        g.draw(ring2);

        Ellipse2D.Double ring3 = new Ellipse2D.Double(160,50,diam,diam);
        g.setColor(Color.RED);
        g.draw(ring3);

        Ellipse2D.Double ring4 = new Ellipse2D.Double(80,75,diam,diam);
        g.setColor(Color.YELLOW);
        g.draw(ring4);

        Ellipse2D.Double ring5 = new Ellipse2D.Double(135,75,diam,diam);
        g.setColor(Color.GREEN);
        g.draw(ring5);

    }

}
