import java.awt.*;
import javax.swing.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;

public class OlympicRingViewerTimer implements Runnable {

    public static void main(String[] args) {
        SwingUtilities.invokeLater(new OlympicRingViewerTimer());
    }



    public void run(){
        JFrame frame = new JFrame();

        frame.setPreferredSize(new Dimension (250,200));
        frame.setTitle("Olympic Rings");
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

        OlympicRingComponent rings = new OlympicRingComponent();
        frame.add(rings, BorderLayout.CENTER);
        JLabel label = new JLabel("Next Olympics: Pyeongchang 2018");
        frame.add(label, BorderLayout.SOUTH);

        // Retro flashing images.
        // This will look truly horrible!
        int delay = 500; //milliseconds
        ActionListener taskPerformer = new ActionListener() {
            public void actionPerformed(ActionEvent evt) {
                rings.setVisible(!rings.isShowing());
            }
        };
        new Timer(delay, taskPerformer).start();

        frame.pack();
        frame.setVisible(true);



    }

}
